--- dns.c.orig	2003-08-20 05:13:03.000000000 +0000
+++ dns.c	2005-10-05 09:23:57.000000000 +0000
@@ -79,6 +79,8 @@
 # define RES_INSECURE1	0x00000400	/* type 1 security disabled */
 #endif
 
+static int query_domain(), process_query();
+
 int
 pregetmx(dl)
 struct domain *dl;
@@ -87,7 +89,6 @@
 	char **map_arg;
 	long stime, etime;
 	int n;
-	static int query_domain(), process_query();
 #ifdef INET6
 	SockAddr dsin;	/* dummy */
 #endif
@@ -347,13 +348,14 @@
 	return 0;
 }
 
+static int make_query();
+
 static int
 query_domain(name, type)
 char *name;
 int type;
 {
 	struct dns_stat *qrp, **hashp;
-	static int make_query();
 
 	qrp = hash_query_lookup(name, &hashp);
 	if (qrp == NULL) {
@@ -386,6 +388,7 @@
 static struct query_chain *QueryChain = NULL;
 static struct query_chain *RevQueryChain = NULL;
 static query_chain_count = 0;
+static int process_query();
 
 static int
 make_query(qrp, type)
@@ -396,7 +399,6 @@
 	u_char buf[MAXPACKET];
 	int n;
 	struct query_chain *qchain;
-	static int process_query();
 
 	switch (type) {
 	  case T_MX:
@@ -561,6 +563,9 @@
 # define CHECK_SRVR_ADDR	1
 #endif
 
+static void got_answer();
+static void remove_query();
+
 static int
 process_query(sync)
 int sync;
@@ -591,8 +596,6 @@
 	char nbuf[MAXDNAME+1];
 	struct dns_stat *qrp;
 	int pending;
-	static void got_answer();
-	static void remove_query();
 
 	if (sync == 0 && cnf.cquery_max != 0
 	 && query_chain_count >= cnf.cquery_max)
@@ -1637,6 +1640,8 @@
 	}
 }
 
+static struct mx* newmx();
+
 int
 getmxlist(dl)
 struct domain *dl;
@@ -1764,7 +1769,6 @@
 #endif
 					{
 						struct mx *gwmxp;
-						static struct mx* newmx();
 
 						if (cnf.debug & DEBUG_DNS)
 						log(LOG_DEBUG, "setting protocol gateway as first MX");
